require 'spec_helper'
require 'git_punch/plugin'

module GitPunch
  describe Plugin do
    context "init" do
      it "configures the note_punch username"
      it "copies post commit hook"
      it "copies gitattributes file"
      it "copies gitignore file"
      it "inserts git-media configuration into git config"
    end

    context "create" do
      it "POSTs a new song to note_punch"
      it "creates a new git remote to use"
      it "instructs the user to push to that new git remote"
    end

    context "fork" do
      it "POSTs a new fork request to note_punch for the current user"
      it "creates a new git remote to use"
      it "names git remote after current user"
      it "instructs the user to push to that new git remote"
    end
  end
end
