require 'spec_helper'
require 'git_punch/repository'

module GitPunch
  describe Repository do
    it "exists at a path, usually the current working dir" do
      subject.path = ENV['PWD']

      subject.name.should == 'git-punch'
    end

    it "is owned by a user" do
      subject.user.should be_a User
      subject.user.name.should_not be_false
      subject.user.name.should == 'lester'
    end
  end
end
